## python-pyomop 3.2.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with python 3.8
# To update, run:
#
#    pip-compile
#
click==8.0.3
    # via pyomop (setup.py)
inflect==5.3.0
    # via sqlacodegen
numpy==1.21.4
    # via pandas
pandas==1.3.5
    # via pyomop (setup.py)
psycopg2-binary==2.9.3
    # via pyomop (setup.py)
python-dateutil==2.8.2
    # via pandas
pytz==2021.1
    # via pandas
six==1.16.0
    # via python-dateutil
sqlacodegen==2.3.0
    # via pyomop (setup.py)
sqlalchemy==1.3.24
    # via
    #   pyomop (setup.py)
    #   sqlacodegen

=== debian/changelog ===
python-pyomop (3.2.0-2) unstable; urgency=medium

  * Source-only upload to allow migration to testing.

 -- Michael Fladischer <fladi@debian.org>  Tue, 11 Jul 2023 13:40:01 +0000

python-pyomop (3.2.0-1) unstable; urgency=low

  * Initial release (Closes: #1038941).

 -- Michael Fladischer <fladi@debian.org>  Fri, 23 Jun 2023 11:12:16 +0000

=== debian/control ===
Source: python-pyomop
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Michael Fladischer <fladi@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 help2man,
 pybuild-plugin-pyproject,
 python-pandas-doc,
 python-scipy-doc,
 python-sklearn-doc,
 python3-all,
 python3-click,
 python3-doc,
 python3-pandas,
 python3-pytest,
 python3-recommonmark,
 python3-scipy,
 python3-setuptools,
 python3-sphinx,
 python3-sqlalchemy,
 sphinx-doc,
Standards-Version: 4.6.2
Homepage: https://github.com/dermatologist/pyomop
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyomop
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyomop.git
Rules-Requires-Root: no

Package: pyomop
Section: science
Architecture: all
Depends:
 python3-pyomop (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OHSDI OMOP Common Data Model tools
 The OHSDI OMOP Common Data Model allows for the systematic analysis of
 healthcare observational databases. This is a Python library to use the CDM v6
 compliant databases using SQLAlchemy as the ORM. pyomop also supports
 converting query results to a pandas dataframe (see below) for use in machine
 learning pipelines.

Package: python-pyomop-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OHSDI OMOP Common Data Model tools (Documentation)
 The OHSDI OMOP Common Data Model allows for the systematic analysis of
 healthcare observational databases. This is a Python library to use the CDM v6
 compliant databases using SQLAlchemy as the ORM. pyomop also supports
 converting query results to a pandas dataframe (see below) for use in machine
 learning pipelines.
 .
 This package contains the documentation.

Package: python3-pyomop
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-pyomop-doc,
Description: OHSDI OMOP Common Data Model tools (Python3 version)
 The OHSDI OMOP Common Data Model allows for the systematic analysis of
 healthcare observational databases. This is a Python library to use the CDM v6
 compliant databases using SQLAlchemy as the ORM. pyomop also supports
 converting query results to a pandas dataframe (see below) for use in machine
 learning pipelines.
 .
 This package contains the Python 3 version of the library.

## python-pyomop 4.2.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile
#
aiosqlite==0.19.0
    # via pyomop (setup.py)
click==8.1.7
    # via pyomop (setup.py)
greenlet==3.0.1
    # via sqlalchemy
numpy==1.26.2
    # via pandas
pandas==2.1.3
    # via pyomop (setup.py)
python-dateutil==2.8.2
    # via pandas
pytz==2023.3.post1
    # via pandas
six==1.16.0
    # via python-dateutil
sqlalchemy==2.0.23
    # via pyomop (setup.py)
typing-extensions==4.8.0
    # via sqlalchemy
tzdata==2023.3
    # via pandas

=== debian/changelog ===
python-pyomop (4.2.0-1) unstable; urgency=low

  * New upstream version 4.2.0
  * Add python3-aiosqlite to Build-Depends, required by tests.
  * Refresh patches.
  * Update year in d/copyright.

 -- Michael Fladischer <fladi@debian.org>  Wed, 10 Jan 2024 16:50:55 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
  python-pandas-doc,
  python-scipy-doc,
  python-sklearn-doc,
+ python3-aiosqlite,
  python3-all,
  python3-click,
  python3-doc,

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_AFTER_TEST=rm -rf {build_dir}/cdm6.sqlite {build_dir}/.pytest_cache

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

execute_before_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) python3 -m sphinx -b html -d $(CURDIR)/docs/.build/.doctrees -N $(CURDIR)/docs $(CURDIR)/debian/python-pyomop-doc/usr/share/doc/python-pyomop-doc/html
endif

execute_after_dh_clean:
	rm -rf $(CURDIR)/docs/.build

execute_before_dh_installman:
	PYTHONPATH=$(CURDIR)/src help2man --no-discard-stderr -n 'OHSDI OMOP Common Data Model tools' $(CURDIR)/debian/tmp/usr/bin/pyomop >$(CURDIR)/pyomop.1

## python-pyomop 4.3.0

=== requirements.txt ===
#
# This file is autogenerated by pip-compile with Python 3.10
# by the following command:
#
#    pip-compile
#
aiosqlite==0.20.0
    # via pyomop (setup.py)
click==8.1.7
    # via pyomop (setup.py)
greenlet==3.0.3
    # via sqlalchemy
numpy==2.0.0
    # via pandas
pandas==2.2.2
    # via pyomop (setup.py)
python-dateutil==2.9.0.post0
    # via pandas
pytz==2024.1
    # via pandas
six==1.16.0
    # via python-dateutil
sqlalchemy==2.0.31
    # via pyomop (setup.py)
typing-extensions==4.12.2
    # via
    #   aiosqlite
    #   sqlalchemy
tzdata==2024.1
    # via pandas

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SOURCEDIR     = .
BUILDDIR      = _build
AUTODOCDIR    = api

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $?), 1)
$(error "The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/")
endif

.PHONY: help clean Makefile

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

clean:
	rm -rf $(BUILDDIR)/* $(AUTODOCDIR)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== docs/requirements.txt ===
# Requirements file for ReadTheDocs, check .readthedocs.yml.
# To build the module reference correctly, make sure every external package
# under `install_requires` in `setup.cfg` is also listed here!
# sphinx_rtd_theme
recommonmark
sphinx>=3.2.1

=== debian/changelog ===
python-pyomop (4.3.0-1) unstable; urgency=low

  * New upstream version 4.3.0
  * Refresh patches.
  * Bump Standards-Version to 4.7.0.

 -- Michael Fladischer <fladi@debian.org>  Thu, 18 Jul 2024 11:21:07 +0000

python-pyomop (4.2.0-2) unstable; urgency=medium

  * Team upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
  * Mark all of the Debian-specific patchs as not needing forwarding to
    upstream.
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 26 Apr 2024 14:32:43 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Michael Fladischer <fladi@debian.org>,
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  help2man,
  pybuild-plugin-pyproject,
  python-pandas-doc,
@@ -21,10 +21,11 @@
  python3-recommonmark,
  python3-scipy,
  python3-setuptools,
+ python3-setuptools-scm,
  python3-sphinx,
  python3-sqlalchemy,
  sphinx-doc,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/dermatologist/pyomop
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyomop
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyomop.git

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 export PYBUILD_AFTER_TEST=rm -rf {build_dir}/cdm6.sqlite {build_dir}/.pytest_cache
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 execute_before_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/([\d\.]+.*)$/python-pyomop-$1/ \
https://github.com/dermatologist/pyomop/tags \
/dermatologist/pyomop/archive/refs/tags/([\d\.]+)\.tar\.gz
